# Built artifacts
*.apk
*.aar
*.ap_
*.aab

# Compiled
*.class
*.dex

# Generated files
bin/
gen/
out/
build/

# Gradle
.gradle/
!gradle/wrapper/gradle-wrapper.jar
gradle-app.setting

# Local configuration
local.properties

# IDE
.idea/
*.iml
*.iws
*.ipr
.project
.classpath
.settings/

# OS files
.DS_Store
Thumbs.db

# Kotlin
.kotlin/

# Logs & crash reports
*.log
hs_err_pid*
replay_pid*
